Subject: Re: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2015 12:03:13 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 13 Nov 2015 10:39:59 +0100
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
> 
> > I'll probably agree (I don't use that package), but why does it have
> > to tell us that desktop.el should behave the same? It doesn't have
> > the same purpose, right?
> 
> No, and I'm not arguing that desktop.el should behave the same. Just that the
> case isn't so clear-cut as the bug report seems to imply. In any case, if the
> sensible thing is not to ask anything from kill-emacs-hook (emacs-lock doesn't,
> BTW), then we have to provide an option so the user can chose if they want
> their current desktop silently saved, or silently discarded.

I don't want to make a wider philosophical issue out of this bug
report.  the bug report is about desktop.el; let's solve that one use
case.  OK?